# $Revision: 1.24 $, $Date: 2002/10/09 13:14:45 $

%define		_snapshot	20020815

Summary:	Quake2 for linux
Summary(pl):	Quake2 dla Linuksa
Summary(pt_BR):	Quake2 para Linux
Name:		quake2
Version:	3.21.%{_snapshot}
Release:	1
License:	GPL (for code only)
Group:		Applications/Games
Source0:	%{name}-%{version}.tar.bz2
#Source1:	multiplay pack (need to check licence)
Source2:	%{name}-server.conf
Source3:	%{name}-server
Source4:	%{name}.png
Patch0:		%{name}-gl_fix.patch
URL:		http://www.idsoftware.com/games/quake/quake2/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	svgalib-devel
BuildRequires:	unzip
Requires:	%{name}-renderer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gamelibdir	%{_libdir}/games/%{name}
%define		_gamedatadir	%{_datadir}/games/%{name}

%description
Quake2 for linux!

%description -l pl
Quake2 dla Linuksa!

%description -l pt_BR
Quake2 para Linux!

%package static
Summary:	Quake2 - static libs
Summary(pl):	Quake2 - biblioteki statyczne
Group:		Applications/Games
Requires:	%{name} = %{version}

%description static
Quake2 - static libs

%description static -l pl
Quake2 - biblioteki statyczne

%package server
Summary:	Quake2 server
Summary(pl):	Serwer Quake2
Summary(pt_BR):	Servidor Quake2
Group:		Applications/Games
Requires:	%{name} = %{version}

%description server
Quake2 server.

%description server -l pl
Serwer Quake2 dla Linuksa.

%description server -l pt_BR
Servidor Quake2.

%package 3dfx
Summary:	Quake2 3DFX libs
Summary(pl):	Biblioteki 3DFX dla Quake2
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-renderer
Obsoletes:	%{name}-3DFX

%description 3dfx
Play Quake2 using 3DFX acceleration.

%description 3dfx -l pl
Zagraj w Quake2 z akceleracj 3DFX.

%package glx
Summary:	OpenGL Quake2
Summary(pl):	Quake2 OpenGL
Group:		Applications/Games
Requires:	%{name} = %{version}
Requires:	OpenGL
Provides:	%{name}-renderer
Obsoletes:	%{name}-GLX

%description glx
Play Quake2 using hardware OpenGL acceleration.

%description glx -l pl
Zagraj w Quake2 ze sprztow akceleracj OpenGL.

%package sdl
Summary:	Quake2 for SDL
Summary(pl):	Biblioteki Quake2 dla SDL
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-renderer

%description sdl
Quake2 libraries for SDL play.

%description sdl -l pl
Biblioteki Quake2 do grania na SDL.

%package sgl
Summary:	Quake2 for SDL with GL
Summary(pl):	Biblioteki Quake2 dla SDL z obsug GL
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-renderer

%description sgl
Quake2 libraries for SDL with GL play.

%description sgl -l pl
Biblioteki Quake2 do grania na SDL z obsug GL.

%package svga
Summary:	Quake2 for SVGAlib
Summary(pl):	Biblioteki Quake2 dla SVGAlib
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-renderer
Obsoletes:	%{name}-svgalib

%description svga
Quake2 libraries for SVGAlib play.

%description svga -l pl
Biblioteki Quake2 do grania na SVGAlib.

%package x11
Summary:	Quake2 X11 software renderer libs
Summary(pl):	Biblioteka Quake2 - programowe renderowanie
Group:		Applications/Games
Requires:	%{name} = %{version}
Provides:	%{name}-renderer
Obsoletes:	%{name}-software-X11
Obsoletes:	%{name}-X11

%description x11
Play Quake2 using software X11 renderer.

%description x11 -l pl
Zagraj w Quake2 przy uyciu programowego renderowania w X11.

%prep
%setup -q -n %{name}
%patch0

cat Makefile.am |sed -e 's/libltdl//'>Makefile.am.tmp
mv -f Makefile.am.tmp Makefile.am

cat configure.in |sed -e 's/AC_LIBLTDL_CONVENIENCE/AC_LIBLTDL_INSTALLABLE/' \
>configure.in.tmp
mv -f configure.in.tmp configure.in

%build
%{__aclocal}
%{__autoheader}
%{__libtoolize} --ltdl --automake
%{__automake}
%{__autoconf}

%configure \
	--enable-ltdl-install=no \
	--libdir=%{_libdir}/games \
	--datadir=%{_datadir}/games

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_gamedatadir}/baseq2,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Games}

#$RPM_BUILD_ROOT%{_gamedir}/baseq2/players/{crakhor,cyborg,female,male}

#for i in crakhor cyborg female male ; do
#        install baseq2/players/$i/* $RPM_BUILD_ROOT%{_gamedir}/baseq2/players/$i
#done
#install baseq2/pak2.pak        $RPM_BUILD_ROOT%{_gamedir}/quake2/baseq2

install %{SOURCE2} $RPM_BUILD_ROOT%{_gamedatadir}/baseq2/server.cfg
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

echo "[Desktop Entry]\nName=Quake II\nExec=%{name}\nIcon=%{name}.png \
\nTerminal=0\nType=Application\n" > $RPM_BUILD_ROOT%{_applnkdir}/Games/%{name}.desktop

rm -rf docs/{CVS,ctf/CVS}

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add quake2-server
if [ -f /var/lock/subsys/quake2-server ]; then
	/etc/rc.d/init.d/quake2-server restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/quake2-server start\" to start Quake2 server."
fi

%preun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/quake2-server ]; then
		/etc/rc.d/init.d/quake2-server stop 1>&2
	fi
	/sbin/chkconfig --del quake2-server
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING HACKING README TODO docs/*
%attr(755,root,root)%{_bindir}/quake2
%dir %{_gamelibdir}
%dir %{_gamelibdir}/baseq2
%dir %{_gamelibdir}/ctf
%attr(755,root,root) %{_gamelibdir}/baseq2/game.so
%attr(755,root,root) %{_gamelibdir}/baseq2/game.la
%attr(755,root,root) %{_gamelibdir}/ctf/game.so
%attr(755,root,root) %{_gamelibdir}/ctf/game.la
#%{_gamedir}/baseq2/pak2.pak
#%{_gamedir}/baseq2/players
%dir %{_gamedatadir}
%dir %{_gamedatadir}/baseq2
%{_pixmapsdir}/quake2.png
%{_applnkdir}/Games/quake2.desktop

%files static
%defattr(644,root,root,755)
%{_gamelibdir}/baseq2/game.a
%{_gamelibdir}/ctf/game.a
%{_gamelibdir}/ref_glx.a
%{_gamelibdir}/ref_sdlgl.a
%{_gamelibdir}/ref_soft.a
%{_gamelibdir}/ref_softsdl.a
%{_gamelibdir}/ref_softx.a
%{_gamelibdir}/ref_tdfx.a

%files server
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/quake2-server
%config(noreplace) %verify(not size mtime md5) %{_gamedatadir}/baseq2/server.cfg

%files 3dfx
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_tdfx.so
%attr(755,root,root) %{_gamelibdir}/ref_tdfx.la

%files glx
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_glx.so
%attr(755,root,root) %{_gamelibdir}/ref_glx.la

%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_softsdl.so
%attr(755,root,root) %{_gamelibdir}/ref_softsdl.la

%files sgl
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_sdlgl.so
%attr(755,root,root) %{_gamelibdir}/ref_sdlgl.la

%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_soft.so
%attr(755,root,root) %{_gamelibdir}/ref_soft.la

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamelibdir}/ref_softx.so
%attr(755,root,root) %{_gamelibdir}/ref_softx.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: quake2.spec,v $
Revision 1.24  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/10/07 14:17:12  qboosh
- BR: autoconf,automake,libtool; cleanup

Revision 1.22  2002/08/16 02:16:54  adgor
- Updated to snapshot 20020815
- Added 3dfx, sdl, sgl, stastic subpackages
- Renamed some subpackages
- Removed sources 1, 3 (others are renumbered)
- Corrected libdir & datadir in %%configure
- Added some doc
- Snapshot number moved from release to version
- Added missing dirs
- Deleted some messing lines
- Cosmetics & simplifications
- Release 1

Revision 1.21  2002/07/26 17:57:58  adgor
- Cosmetics

Revision 1.20  2002/07/23 22:06:37  mmazur
- more changes

Revision 1.19  2002/07/22 12:53:04  mmazur
- bloody works (but NFY :)

Revision 1.18  2002/07/22 11:18:13  mmazur
- added BR libltdl-devel

Revision 1.17  2002/07/21 21:44:10  mmazur
- NFY
- now we'll use quakeforge :)
- builds but still needs a couple of BR plus about 4-5 packages
- crap

Revision 1.16  2002/07/05 21:36:56  adgor
- Corrected %%preun server

Revision 1.15  2002/07/03 16:21:41  adgor
- Package %{name}-software-X11 renamed as %{name}-X11
- Scripts running X version are moved to /usr/X11R6/bin
- Added icon & desktop files
- Use fresh Source 1,3,5 !
- Commented some superfluous lines
- Added missing log lines
- Release 4

Revision 1.14  2002/07/02 23:36:58  adgor
- gamei386.so moved ../
- server.cfg moved to /usr/share/games/quake2/baseq2 (it didn't work for me
  before)
- Release 3

Revision 1.13 2002/07/02 23:09:09  adgor
- Added /usr/share/games/quake2 to main package
- Release 2

Revision 1.12  2002/07/01 19:34:31  qboosh
- switched to GPL version - but I don't have game data to test it at the moment
- moved /usr/share/games/quake2 to /usr/lib/games/quake2 (contains
  arch-dependent binaries)

Revision 1.11  2002/06/29 11:00:39  wolf
- spelling

Revision 1.10  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/17 18:55:36  jack
- corrected "echo" running the server by "quake2-server start" not "quake2 start"
- it still sucks - doesn't work (?!)

Revision 1.6  2001/11/30 17:30:08  fastviper
- libs needed for rendering on various architectures (3dFX, GLX etc) are
  now in subpackages
- added Provides quake2-renderer to those subpackages
- added starting scripts to each renderer subpackage
- fixed Requires
- changed names of sources so that all begin with quake2-

Revision 1.5  2001/11/26 12:33:08  qboosh
- some fixes and cosmetics
- removed suid root

Revision 1.4  2001/11/25 22:43:40  fastviper
- No polish scripts nor comments -- PLD is popular ;-)
- Cleared mess a little, added comments
- Proper spec for 3.20 -- please don't use previous one
- Used some ideas from saq ;-)

Revision 1.3  2001/11/25 21:23:16  saq
- cosmetics
- gzip the docs
- exclusivearch ix86

Revision 1.2  2001/11/25 20:51:17  fastviper
- New version (3.20) avalivable
- changed URL for Source0

Revision 1.1  2001/11/25 20:45:16  fastviper
- added polish translations
- adapterized
- Taken  Arnaldo Carvalho de Melo <acme@conectiva.com.br> 's spec
